Bug 105936 - Make the graphical boot good-looking
Make the graphical boot good-looking
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-09-29 13:40 EDT by Sindre Pedersen Bjørdal
Modified: 2013-04-02 00:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-17 20:34:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot (82.51 KB, image/png)
2003-10-08 11:36 EDT, Nick Marsh
no flags Details

  None (edit)
Description Sindre Pedersen Bjørdal 2003-09-29 13:40:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030811
Mozilla Firebird/0.6.1

Description of problem:
Basicly I would like it very much if the graphical booting looked a little
better. I tried to replace the default background.png myself, and  all of a
sudden the graphical booting looked fancy. Thanks.
Comment 1 Nick Marsh 2003-10-04 15:00:38 EDT
I like how mandrake layers the information from the text boot ontop of a
graphical boot program. Red Hat should really do this.
Comment 2 Nick Marsh 2003-10-08 11:36:20 EDT
Created attachment 95021 [details]

Attached an example of a graphical boot that looks good and is functional.
Comment 3 Jonathan Rawle 2003-10-30 13:22:00 EST
Having the boot messages doesn't look "good", that's the point of graphical 
boot. If you want to see them, disable graphical boot. Alternatively, you can 
always see the boot messages by switching to vt1. 
Please don't introduce the awful sort of text console that distributions such 
as SuSE use, which a graphical border around them. If I want graphics, I use 
X. If I want text, then white on a black background is fine! 
Comment 4 mike12 2003-11-18 22:57:24 EST
Jonathon, eliminating the boot messages would kill any evidence of
real linux roots- a bad thing. 

The reason geeks enjoy linux has something in part to do with the fact
that its never ambiguous about what its doing. 

The currnet Fedora boot loader, that allows you to toggle the
viewability of the text, is about as beautiful as can be. Only change
that should be brought about is probably more options to customize the
look of this.
Comment 5 Nick Marsh 2003-11-18 23:02:25 EST
Sorry to clutter this bug with comments, but I beleve the Fedora 1 gb
is perfect compared to the fedora previous test gb. I would consider
closing the bug if I were the owner.
Comment 6 Jonathan Rawle 2003-12-17 12:00:42 EST
Mike, my point was that I see no need to combine the text messages 
with the graphical boot. rhgb grabs the messages, but only after 
rc.sysinit is done, so some appear in the box overlaid on rhgb, 
while others still appear on vt1. If an fsck check is forced, rhgb 
just pauses, and the fsck messages don't appear anywhere at all! 
What I would like to see is a graphical boot screen with none of 
this ability to overlay messages. It can then simply say "Press 
Alt-F1 for details" which would switch back to the traditional view. 
I'm starting to change my mind about SUSE's bootsplash too. What 
would be great would be a framebuffered graphical boot screen on 
vt8, with the ordinary text messages on vt1 as in RH Linux. Starting 
X just takes too long. 
Comment 7 manuel wolfshant 2003-12-31 16:02:46 EST
My 2 cents: from a sysadmin point of view, graphical is useless, just
clobbers the screen. From a 'dumb user' point of view: all text
messages are useless, 'cause a normal user doesn't have any clue of
what all those lines mean. I had once a [redhat 7.x] user who called
the tech dept very concerned and sure that he would not be able to
work. Reason: the red " FAILED " on the right side of the line with
'Synchronizing with time server:"

For what is worth, I do like the FC1 system based on rhgb. 
Comment 8 Steve Barnhart 2004-02-08 21:27:16 EST
Plese do not change the graphical boot. I like it the way it is.
Suse's and mandrakes are not as nice as fedora's imo and don't work
for people w/out framebuffer support (like me). Please stick to the
way it is, of course enhancements and extra configuration is always
good but nothing to drastically change what it is now. Kudos to the
fedora team for an excellent implementation. I know plenty of other
distro users that envy it.
Comment 9 An. N 2004-03-14 13:36:09 EST
RHGB seems ok the way it is, but the gray background is really
depressing. I believe it definitely needs changing.
Comment 10 Alexander Larsson 2004-03-16 08:35:44 EST
I think it looks fine as is, but reassigning to rhgb.
Comment 11 Sindre Pedersen Bjørdal 2004-03-16 12:10:37 EST
Please, people, read the date on my foolish, uneducated bug rapport. I
made this bug rapport when I was in bug rapporting frenzy running the
second test release of core 1. In the third test release, the rhgb as
we know it was introduced, problem solved. Please close this bug.
Comment 12 John Brookes 2004-08-04 04:50:33 EDT
Not sure why my bug has been merged with this one... Agreed, it's a 
boot thing, but it has nothing to do with the boot looking pretty.... 
It's all about functionality - I need my wireless ;-)

Note You need to log in before you can comment on or make changes to this bug.